import { RouterTestingModule } from '@angular/router/testing';
import { Spectator, createComponentFactory } from '@ngneat/spectator';
import { UiIconModule } from '@ui/icon';
import { ShellFooterComponent } from './footer.component';

describe('ShellFooterComponent', () => {
  let spectator: Spectator<ShellFooterComponent>;
  const createComponent = createComponentFactory({
    component: ShellFooterComponent,
    imports: [UiIconModule, RouterTestingModule],
  });

  beforeEach(() => {
    spectator = createComponent();
  });

  it('should create the app', () => {
    expect(spectator.component).toBeTruthy();
  });
});
